package com.ywt.mg.params.offline;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author daiyihua
 * @create 2022-08-23 14:23
 * @program download_service
 * @description 线下就诊订单Request
 **/
@ApiModel(value = "线下就诊订单Request")
public class DownloadOfflineListNewRequest implements Serializable {

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "患者手机号")
    private String patientMobile;

    @ApiModelProperty(value = "支付状态")
    private String paymentStatus;

    @ApiModelProperty(value = "订单状态")
    private String status;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "搜索的医院id")
    private int hospitalId;

    @ApiModelProperty(value = "his流水号")
    private String hisClinicCode;

    @ApiModelProperty(value = "支付时间查询开始时间")
    private String payTimeStart;

    @ApiModelProperty(value = "支付时间查询截止时间")
    private String payTimeEnd;

    @ApiModelProperty(value = "退款时间查询开始时间")
    private String refundTimeStart;

    @ApiModelProperty(value = "退款时间查询截止时间")
    private String refundTimeEnd;

    @ApiModelProperty(value = "来源")
    private String source;


    @ApiModelProperty(value = "支付时间查询截止时间(医院后台)")
    private String createEndTime;

    @ApiModelProperty(value = "支付时间查询开始时间(医院后台)")
    private String createStartTime;


    // 当用 异步 执行时，没法从 WebAppContext 里面获取 adminId
    private int currentAdminId;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public int getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(int hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHisClinicCode() {
        return hisClinicCode;
    }

    public void setHisClinicCode(String hisClinicCode) {
        this.hisClinicCode = hisClinicCode;
    }

    public String getPayTimeStart() {
        return payTimeStart;
    }

    public void setPayTimeStart(String payTimeStart) {
        this.payTimeStart = payTimeStart;
    }

    public String getPayTimeEnd() {
        return payTimeEnd;
    }

    public void setPayTimeEnd(String payTimeEnd) {
        this.payTimeEnd = payTimeEnd;
    }

    public String getRefundTimeStart() {
        return refundTimeStart;
    }

    public void setRefundTimeStart(String refundTimeStart) {
        this.refundTimeStart = refundTimeStart;
    }

    public String getRefundTimeEnd() {
        return refundTimeEnd;
    }

    public void setRefundTimeEnd(String refundTimeEnd) {
        this.refundTimeEnd = refundTimeEnd;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public int getCurrentAdminId() {
        return currentAdminId;
    }

    public void setCurrentAdminId(int currentAdminId) {
        this.currentAdminId = currentAdminId;
    }

    public String getCreateEndTime() {
        return createEndTime;
    }

    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }

    public String getCreateStartTime() {
        return createStartTime;
    }

    public void setCreateStartTime(String createStartTime) {
        this.createStartTime = createStartTime;
    }
}
